import{s as tn,o as nn,n as qt}from"../chunks/scheduler.9bc65507.js";import{S as rn,i as on,g as a,s as n,r as f,A as sn,h as d,f as o,c as r,j as B,u as h,x as p,k as q,y as t,a as l,v as u,d as _,t as g,w as k}from"../chunks/index.707bf1b6.js";import{T as an}from"../chunks/Tip.c2ecdbf4.js";import{D}from"../chunks/Docstring.570ddb64.js";import{C as en}from"../chunks/CodeBlock.54a9f38d.js";import{E as Zt}from"../chunks/ExampleCodeBlock.bc2be6bc.js";import{H as Ie,E as dn}from"../chunks/EditOnGithub.922df6ba.js";function cn(F){let c,z="This model is in maintenance mode only, so we won’t accept any new PRs changing its code.",v,m,T=`If you run into any issues running this model, please reinstall the last version that supported this model: v4.30.0.
You can do so by running the following command: <code>pip install -U transformers==4.30.0</code>.`;return{c(){c=a("p"),c.textContent=z,v=n(),m=a("p"),m.innerHTML=T},l(s){c=d(s,"P",{"data-svelte-h":!0}),p(c)!=="svelte-lwu440"&&(c.textContent=z),v=r(s),m=d(s,"P",{"data-svelte-h":!0}),p(m)!=="svelte-4042uy"&&(m.innerHTML=T)},m(s,$){l(s,c,$),l(s,v,$),l(s,m,$)},p:qt,d(s){s&&(o(c),o(v),o(m))}}}function ln(F){let c,z="pair mask has the following format:",v,m,T;return m=new en({props:{code:"MCUyMDAlMjAwJTIwMCUyMDAlMjAwJTIwMCUyMDAlMjAwJTIwMCUyMDAlMjAxJTIwMSUyMDElMjAxJTIwMSUyMDElMjAxJTIwMSUyMDElMEElN0MlMjBmaXJzdCUyMHNlcXVlbmNlJTIwJTIwJTIwJTIwJTdDJTIwc2Vjb25kJTIwc2VxdWVuY2UlMjAlN0M=",highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`,wrap:!1}}),{c(){c=a("p"),c.textContent=z,v=n(),f(m.$$.fragment)},l(s){c=d(s,"P",{"data-svelte-h":!0}),p(c)!=="svelte-qjgeij"&&(c.textContent=z),v=r(s),h(m.$$.fragment,s)},m(s,$){l(s,c,$),l(s,v,$),u(m,s,$),T=!0},p:qt,i(s){T||(_(m.$$.fragment,s),T=!0)},o(s){g(m.$$.fragment,s),T=!1},d(s){s&&(o(c),o(v)),k(m,s)}}}function mn(F){let c,z="pair mask has the following format:",v,m,T;return m=new en({props:{code:"MCUyMDAlMjAwJTIwMCUyMDAlMjAwJTIwMCUyMDAlMjAwJTIwMCUyMDAlMjAxJTIwMSUyMDElMjAxJTIwMSUyMDElMjAxJTIwMSUyMDElMEElN0MlMjBmaXJzdCUyMHNlcXVlbmNlJTIwJTIwJTIwJTIwJTdDJTIwc2Vjb25kJTIwc2VxdWVuY2UlMjAlN0M=",highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`,wrap:!1}}),{c(){c=a("p"),c.textContent=z,v=n(),f(m.$$.fragment)},l(s){c=d(s,"P",{"data-svelte-h":!0}),p(c)!=="svelte-qjgeij"&&(c.textContent=z),v=r(s),h(m.$$.fragment,s)},m(s,$){l(s,c,$),l(s,v,$),u(m,s,$),T=!0},p:qt,i(s){T||(_(m.$$.fragment,s),T=!0)},o(s){g(m.$$.fragment,s),T=!1},d(s){s&&(o(c),o(v)),k(m,s)}}}function pn(F){let c,z,v,m,T,s,$,je,O,Ee,W,Rt=`The RetriBERT model was proposed in the blog post <a href="https://yjernite.github.io/lfqa.html" rel="nofollow">Explain Anything Like I’m Five: A Model for Open Domain Long Form
Question Answering</a>. RetriBERT is a small model that uses either a single or
pair of BERT encoders with lower-dimension projection for dense semantic indexing of text.`,Ae,K,Mt=`This model was contributed by <a href="https://huggingface.co/yjernite" rel="nofollow">yjernite</a>. Code to train and use the model can be
found <a href="https://github.com/huggingface/transformers/tree/main/examples/research-projects/distillation" rel="nofollow">here</a>.`,Fe,X,He,L,Y,Qe,me,Ct=`This is the configuration class to store the configuration of a <a href="/docs/transformers/pr_21172/en/model_doc/retribert#transformers.RetriBertModel">RetriBertModel</a>. It is used to instantiate a
RetriBertModel model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the RetriBERT
<a href="https://huggingface.co/yjernite/retribert-base-uncased" rel="nofollow">yjernite/retribert-base-uncased</a> architecture.`,Ze,pe,Lt=`Configuration objects inherit from <a href="/docs/transformers/pr_21172/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a> and can be used to control the model outputs. Read the
documentation from <a href="/docs/transformers/pr_21172/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a> for more information.`,Se,G,Je,b,Q,et,fe,Dt="Constructs a RetriBERT tokenizer.",tt,he,It=`<a href="/docs/transformers/pr_21172/en/model_doc/retribert#transformers.RetriBertTokenizer">RetriBertTokenizer</a> is identical to <a href="/docs/transformers/pr_21172/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a> and runs end-to-end tokenization: punctuation splitting
and wordpiece.`,nt,ue,Pt=`This tokenizer inherits from <a href="/docs/transformers/pr_21172/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> which contains most of the main methods. Users should refer
to: this superclass for more information regarding those methods.`,rt,I,Z,ot,_e,jt=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BERT sequence has the following format:`,st,ge,Et="<li>single sequence: <code>[CLS] X [SEP]</code></li> <li>pair of sequences: <code>[CLS] A [SEP] B [SEP]</code></li>",it,H,ee,at,ke,At="Converts a sequence of tokens (string) in a single string.",dt,R,te,ct,be,Ft="Create a mask from the two sequences passed to be used in a sequence-pair classification task. A BERT sequence",lt,S,mt,ve,Ht="If <code>token_ids_1</code> is <code>None</code>, this method only returns the first portion of the mask (0s).",pt,J,ne,ft,Te,St=`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer <code>prepare_for_model</code> method.`,Ue,re,Ne,x,oe,ht,$e,Jt="Construct a “fast” RetriBERT tokenizer (backed by HuggingFace’s <em>tokenizers</em> library).",ut,we,Ut=`<a href="/docs/transformers/pr_21172/en/model_doc/retribert#transformers.RetriBertTokenizerFast">RetriBertTokenizerFast</a> is identical to <a href="/docs/transformers/pr_21172/en/model_doc/bert#transformers.BertTokenizerFast">BertTokenizerFast</a> and runs end-to-end tokenization: punctuation
splitting and wordpiece.`,_t,xe,Nt=`This tokenizer inherits from <a href="/docs/transformers/pr_21172/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`,gt,P,se,kt,ye,Vt=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BERT sequence has the following format:`,bt,ze,Ot="<li>single sequence: <code>[CLS] X [SEP]</code></li> <li>pair of sequences: <code>[CLS] A [SEP] B [SEP]</code></li>",vt,M,ie,Tt,Be,Wt="Create a mask from the two sequences passed to be used in a sequence-pair classification task. A BERT sequence",$t,U,wt,qe,Kt="If <code>token_ids_1</code> is <code>None</code>, this method only returns the first portion of the mask (0s).",Ve,ae,Oe,y,de,xt,Re,Xt="Bert Based model to embed queries or document for document retrieval.",yt,Me,Yt=`This model inherits from <a href="/docs/transformers/pr_21172/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`,zt,Ce,Gt=`This model is also a PyTorch <a href="https://pytorch.org/docs/stable/nn.html#torch.nn.Module" rel="nofollow">torch.nn.Module</a> subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`,Bt,Le,ce,We,le,Ke,Pe,Xe;return T=new Ie({props:{title:"RetriBERT",local:"retribert",headingTag:"h1"}}),$=new an({props:{warning:!0,$$slots:{default:[cn]},$$scope:{ctx:F}}}),O=new Ie({props:{title:"Overview",local:"overview",headingTag:"h2"}}),X=new Ie({props:{title:"RetriBertConfig",local:"transformers.RetriBertConfig",headingTag:"h2"}}),Y=new D({props:{name:"class transformers.RetriBertConfig",anchor:"transformers.RetriBertConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 8"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"share_encoders",val:" = True"},{name:"projection_dim",val:" = 128"},{name:"pad_token_id",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RetriBertConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the RetriBERT model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21172/en/model_doc/retribert#transformers.RetriBertModel">RetriBertModel</a>`,name:"vocab_size"},{anchor:"transformers.RetriBertConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.RetriBertConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.RetriBertConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.RetriBertConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.RetriBertConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.RetriBertConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.RetriBertConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.RetriBertConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.RetriBertConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <em>token_type_ids</em> passed into <a href="/docs/transformers/pr_21172/en/model_doc/bert#transformers.BertModel">BertModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.RetriBertConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.RetriBertConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.RetriBertConfig.share_encoders",description:`<strong>share_encoders</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use the same Bert-type encoder for the queries and document`,name:"share_encoders"},{anchor:"transformers.RetriBertConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Final dimension of the query and document representation after projection`,name:"projection_dim"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/configuration_retribert.py#L26"}}),G=new Ie({props:{title:"RetriBertTokenizer",local:"transformers.RetriBertTokenizer",headingTag:"h2"}}),Q=new D({props:{name:"class transformers.RetriBertTokenizer",anchor:"transformers.RetriBertTokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = True"},{name:"do_basic_tokenize",val:" = True"},{name:"never_split",val:" = None"},{name:"unk_token",val:" = '[UNK]'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '[PAD]'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"tokenize_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RetriBertTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
File containing the vocabulary.`,name:"vocab_file"},{anchor:"transformers.RetriBertTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.RetriBertTokenizer.do_basic_tokenize",description:`<strong>do_basic_tokenize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to do basic tokenization before WordPiece.`,name:"do_basic_tokenize"},{anchor:"transformers.RetriBertTokenizer.never_split",description:`<strong>never_split</strong> (<code>Iterable</code>, <em>optional</em>) &#x2014;
Collection of tokens which will never be split during tokenization. Only has an effect when
<code>do_basic_tokenize=True</code>`,name:"never_split"},{anchor:"transformers.RetriBertTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[UNK]&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.RetriBertTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.RetriBertTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[PAD]&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.RetriBertTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.RetriBertTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.RetriBertTokenizer.tokenize_chinese_chars",description:`<strong>tokenize_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to tokenize Chinese characters. This should likely be deactivated for Japanese (see this
<a href="https://github.com/huggingface/transformers/issues/328" rel="nofollow">issue</a>).`,name:"tokenize_chinese_chars"},{anchor:"transformers.RetriBertTokenizer.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to strip all accents. If this option is not specified, then it will be determined by the
value for <code>lowercase</code> (as in the original BERT).`,name:"strip_accents"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert.py#L53"}}),Z=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.RetriBertTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.RetriBertTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.RetriBertTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert.py#L194",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),ee=new D({props:{name:"convert_tokens_to_string",anchor:"transformers.RetriBertTokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert.py#L188"}}),te=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.RetriBertTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.RetriBertTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.RetriBertTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert.py#L249",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),S=new Zt({props:{anchor:"transformers.RetriBertTokenizer.create_token_type_ids_from_sequences.example",$$slots:{default:[ln]},$$scope:{ctx:F}}}),ne=new D({props:{name:"get_special_tokens_mask",anchor:"transformers.RetriBertTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.RetriBertTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.RetriBertTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.RetriBertTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert.py#L220",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),re=new Ie({props:{title:"RetriBertTokenizerFast",local:"transformers.RetriBertTokenizerFast",headingTag:"h2"}}),oe=new D({props:{name:"class transformers.RetriBertTokenizerFast",anchor:"transformers.RetriBertTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"do_lower_case",val:" = True"},{name:"unk_token",val:" = '[UNK]'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '[PAD]'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"tokenize_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RetriBertTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
File containing the vocabulary.`,name:"vocab_file"},{anchor:"transformers.RetriBertTokenizerFast.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.RetriBertTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[UNK]&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.RetriBertTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.RetriBertTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[PAD]&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.RetriBertTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.RetriBertTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.RetriBertTokenizerFast.clean_text",description:`<strong>clean_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to clean the text before tokenization by removing any control characters and replacing all
whitespaces by the classic one.`,name:"clean_text"},{anchor:"transformers.RetriBertTokenizerFast.tokenize_chinese_chars",description:`<strong>tokenize_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to tokenize Chinese characters. This should likely be deactivated for Japanese (see <a href="https://github.com/huggingface/transformers/issues/328" rel="nofollow">this
issue</a>).`,name:"tokenize_chinese_chars"},{anchor:"transformers.RetriBertTokenizerFast.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to strip all accents. If this option is not specified, then it will be determined by the
value for <code>lowercase</code> (as in the original BERT).`,name:"strip_accents"},{anchor:"transformers.RetriBertTokenizerFast.wordpieces_prefix",description:`<strong>wordpieces_prefix</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;##&quot;</code>) &#x2014;
The prefix for subwords.`,name:"wordpieces_prefix"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert_fast.py#L32"}}),se=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.RetriBertTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],parametersDescription:[{anchor:"transformers.RetriBertTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.RetriBertTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert_fast.py#L123",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),ie=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.RetriBertTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.RetriBertTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.RetriBertTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/tokenization_retribert_fast.py#L148",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),U=new Zt({props:{anchor:"transformers.RetriBertTokenizerFast.create_token_type_ids_from_sequences.example",$$slots:{default:[mn]},$$scope:{ctx:F}}}),ae=new Ie({props:{title:"RetriBertModel",local:"transformers.RetriBertModel",headingTag:"h2"}}),de=new D({props:{name:"class transformers.RetriBertModel",anchor:"transformers.RetriBertModel",parameters:[{name:"config",val:": RetriBertConfig"}],parametersDescription:[{anchor:"transformers.RetriBertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21172/en/model_doc/retribert#transformers.RetriBertConfig">RetriBertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21172/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/modeling_retribert.py#L82"}}),ce=new D({props:{name:"forward",anchor:"transformers.RetriBertModel.forward",parameters:[{name:"input_ids_query",val:": LongTensor"},{name:"attention_mask_query",val:": Optional"},{name:"input_ids_doc",val:": LongTensor"},{name:"attention_mask_doc",val:": Optional"},{name:"checkpoint_batch_size",val:": int = -1"}],parametersDescription:[{anchor:"transformers.RetriBertModel.forward.input_ids_query",description:`<strong>input_ids_query</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary for the queries in a batch.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21172/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21172/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21172/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids_query"},{anchor:"transformers.RetriBertModel.forward.attention_mask_query",description:`<strong>attention_mask_query</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask_query"},{anchor:"transformers.RetriBertModel.forward.input_ids_doc",description:`<strong>input_ids_doc</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary for the documents in a batch.`,name:"input_ids_doc"},{anchor:"transformers.RetriBertModel.forward.attention_mask_doc",description:`<strong>attention_mask_doc</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on documents padding token indices.`,name:"attention_mask_doc"},{anchor:"transformers.RetriBertModel.forward.checkpoint_batch_size",description:`<strong>checkpoint_batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>-1</code>) &#x2014;
If greater than 0, uses gradient checkpointing to only compute sequence representation on
<code>checkpoint_batch_size</code> examples at a time on the GPU. All query representations are still compared to
all document representations in the batch.`,name:"checkpoint_batch_size"}],source:"https://github.com/huggingface/transformers/blob/vr_21172/src/transformers/models/deprecated/retribert/modeling_retribert.py#L174",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The bidirectional cross-entropy loss obtained while trying to match each query to its
corresponding document and each document to its corresponding query in the batch</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>\`torch.FloatTensor“</p>
`}}),le=new dn({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/model_doc/retribert.md"}}),{c(){c=a("meta"),z=n(),v=a("p"),m=n(),f(T.$$.fragment),s=n(),f($.$$.fragment),je=n(),f(O.$$.fragment),Ee=n(),W=a("p"),W.innerHTML=Rt,Ae=n(),K=a("p"),K.innerHTML=Mt,Fe=n(),f(X.$$.fragment),He=n(),L=a("div"),f(Y.$$.fragment),Qe=n(),me=a("p"),me.innerHTML=Ct,Ze=n(),pe=a("p"),pe.innerHTML=Lt,Se=n(),f(G.$$.fragment),Je=n(),b=a("div"),f(Q.$$.fragment),et=n(),fe=a("p"),fe.textContent=Dt,tt=n(),he=a("p"),he.innerHTML=It,nt=n(),ue=a("p"),ue.innerHTML=Pt,rt=n(),I=a("div"),f(Z.$$.fragment),ot=n(),_e=a("p"),_e.textContent=jt,st=n(),ge=a("ul"),ge.innerHTML=Et,it=n(),H=a("div"),f(ee.$$.fragment),at=n(),ke=a("p"),ke.textContent=At,dt=n(),R=a("div"),f(te.$$.fragment),ct=n(),be=a("p"),be.textContent=Ft,lt=n(),f(S.$$.fragment),mt=n(),ve=a("p"),ve.innerHTML=Ht,pt=n(),J=a("div"),f(ne.$$.fragment),ft=n(),Te=a("p"),Te.innerHTML=St,Ue=n(),f(re.$$.fragment),Ne=n(),x=a("div"),f(oe.$$.fragment),ht=n(),$e=a("p"),$e.innerHTML=Jt,ut=n(),we=a("p"),we.innerHTML=Ut,_t=n(),xe=a("p"),xe.innerHTML=Nt,gt=n(),P=a("div"),f(se.$$.fragment),kt=n(),ye=a("p"),ye.textContent=Vt,bt=n(),ze=a("ul"),ze.innerHTML=Ot,vt=n(),M=a("div"),f(ie.$$.fragment),Tt=n(),Be=a("p"),Be.textContent=Wt,$t=n(),f(U.$$.fragment),wt=n(),qe=a("p"),qe.innerHTML=Kt,Ve=n(),f(ae.$$.fragment),Oe=n(),y=a("div"),f(de.$$.fragment),xt=n(),Re=a("p"),Re.textContent=Xt,yt=n(),Me=a("p"),Me.innerHTML=Yt,zt=n(),Ce=a("p"),Ce.innerHTML=Gt,Bt=n(),Le=a("div"),f(ce.$$.fragment),We=n(),f(le.$$.fragment),Ke=n(),Pe=a("p"),this.h()},l(e){const i=sn("svelte-u9bgzb",document.head);c=d(i,"META",{name:!0,content:!0}),i.forEach(o),z=r(e),v=d(e,"P",{}),B(v).forEach(o),m=r(e),h(T.$$.fragment,e),s=r(e),h($.$$.fragment,e),je=r(e),h(O.$$.fragment,e),Ee=r(e),W=d(e,"P",{"data-svelte-h":!0}),p(W)!=="svelte-td4eob"&&(W.innerHTML=Rt),Ae=r(e),K=d(e,"P",{"data-svelte-h":!0}),p(K)!=="svelte-1hctczn"&&(K.innerHTML=Mt),Fe=r(e),h(X.$$.fragment,e),He=r(e),L=d(e,"DIV",{class:!0});var E=B(L);h(Y.$$.fragment,E),Qe=r(E),me=d(E,"P",{"data-svelte-h":!0}),p(me)!=="svelte-1jkdkai"&&(me.innerHTML=Ct),Ze=r(E),pe=d(E,"P",{"data-svelte-h":!0}),p(pe)!=="svelte-dq12hv"&&(pe.innerHTML=Lt),E.forEach(o),Se=r(e),h(G.$$.fragment,e),Je=r(e),b=d(e,"DIV",{class:!0});var w=B(b);h(Q.$$.fragment,w),et=r(w),fe=d(w,"P",{"data-svelte-h":!0}),p(fe)!=="svelte-otns3l"&&(fe.textContent=Dt),tt=r(w),he=d(w,"P",{"data-svelte-h":!0}),p(he)!=="svelte-1oc75fm"&&(he.innerHTML=It),nt=r(w),ue=d(w,"P",{"data-svelte-h":!0}),p(ue)!=="svelte-1ms8eaz"&&(ue.innerHTML=Pt),rt=r(w),I=d(w,"DIV",{class:!0});var A=B(I);h(Z.$$.fragment,A),ot=r(A),_e=d(A,"P",{"data-svelte-h":!0}),p(_e)!=="svelte-t7qurq"&&(_e.textContent=jt),st=r(A),ge=d(A,"UL",{"data-svelte-h":!0}),p(ge)!=="svelte-xi6653"&&(ge.innerHTML=Et),A.forEach(o),it=r(w),H=d(w,"DIV",{class:!0});var Ye=B(H);h(ee.$$.fragment,Ye),at=r(Ye),ke=d(Ye,"P",{"data-svelte-h":!0}),p(ke)!=="svelte-b3k2yi"&&(ke.textContent=At),Ye.forEach(o),dt=r(w),R=d(w,"DIV",{class:!0});var N=B(R);h(te.$$.fragment,N),ct=r(N),be=d(N,"P",{"data-svelte-h":!0}),p(be)!=="svelte-gn6wi7"&&(be.textContent=Ft),lt=r(N),h(S.$$.fragment,N),mt=r(N),ve=d(N,"P",{"data-svelte-h":!0}),p(ve)!=="svelte-owoxgn"&&(ve.innerHTML=Ht),N.forEach(o),pt=r(w),J=d(w,"DIV",{class:!0});var Ge=B(J);h(ne.$$.fragment,Ge),ft=r(Ge),Te=d(Ge,"P",{"data-svelte-h":!0}),p(Te)!=="svelte-1f4f5kp"&&(Te.innerHTML=St),Ge.forEach(o),w.forEach(o),Ue=r(e),h(re.$$.fragment,e),Ne=r(e),x=d(e,"DIV",{class:!0});var C=B(x);h(oe.$$.fragment,C),ht=r(C),$e=d(C,"P",{"data-svelte-h":!0}),p($e)!=="svelte-1g6s8hh"&&($e.innerHTML=Jt),ut=r(C),we=d(C,"P",{"data-svelte-h":!0}),p(we)!=="svelte-grnwtu"&&(we.innerHTML=Ut),_t=r(C),xe=d(C,"P",{"data-svelte-h":!0}),p(xe)!=="svelte-9euv4z"&&(xe.innerHTML=Nt),gt=r(C),P=d(C,"DIV",{class:!0});var De=B(P);h(se.$$.fragment,De),kt=r(De),ye=d(De,"P",{"data-svelte-h":!0}),p(ye)!=="svelte-t7qurq"&&(ye.textContent=Vt),bt=r(De),ze=d(De,"UL",{"data-svelte-h":!0}),p(ze)!=="svelte-xi6653"&&(ze.innerHTML=Ot),De.forEach(o),vt=r(C),M=d(C,"DIV",{class:!0});var V=B(M);h(ie.$$.fragment,V),Tt=r(V),Be=d(V,"P",{"data-svelte-h":!0}),p(Be)!=="svelte-gn6wi7"&&(Be.textContent=Wt),$t=r(V),h(U.$$.fragment,V),wt=r(V),qe=d(V,"P",{"data-svelte-h":!0}),p(qe)!=="svelte-owoxgn"&&(qe.innerHTML=Kt),V.forEach(o),C.forEach(o),Ve=r(e),h(ae.$$.fragment,e),Oe=r(e),y=d(e,"DIV",{class:!0});var j=B(y);h(de.$$.fragment,j),xt=r(j),Re=d(j,"P",{"data-svelte-h":!0}),p(Re)!=="svelte-1c8tt6f"&&(Re.textContent=Xt),yt=r(j),Me=d(j,"P",{"data-svelte-h":!0}),p(Me)!=="svelte-obgfkd"&&(Me.innerHTML=Yt),zt=r(j),Ce=d(j,"P",{"data-svelte-h":!0}),p(Ce)!=="svelte-hswkmf"&&(Ce.innerHTML=Gt),Bt=r(j),Le=d(j,"DIV",{class:!0});var Qt=B(Le);h(ce.$$.fragment,Qt),Qt.forEach(o),j.forEach(o),We=r(e),h(le.$$.fragment,e),Ke=r(e),Pe=d(e,"P",{}),B(Pe).forEach(o),this.h()},h(){q(c,"name","hf:doc:metadata"),q(c,"content",fn),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,c),l(e,z,i),l(e,v,i),l(e,m,i),u(T,e,i),l(e,s,i),u($,e,i),l(e,je,i),u(O,e,i),l(e,Ee,i),l(e,W,i),l(e,Ae,i),l(e,K,i),l(e,Fe,i),u(X,e,i),l(e,He,i),l(e,L,i),u(Y,L,null),t(L,Qe),t(L,me),t(L,Ze),t(L,pe),l(e,Se,i),u(G,e,i),l(e,Je,i),l(e,b,i),u(Q,b,null),t(b,et),t(b,fe),t(b,tt),t(b,he),t(b,nt),t(b,ue),t(b,rt),t(b,I),u(Z,I,null),t(I,ot),t(I,_e),t(I,st),t(I,ge),t(b,it),t(b,H),u(ee,H,null),t(H,at),t(H,ke),t(b,dt),t(b,R),u(te,R,null),t(R,ct),t(R,be),t(R,lt),u(S,R,null),t(R,mt),t(R,ve),t(b,pt),t(b,J),u(ne,J,null),t(J,ft),t(J,Te),l(e,Ue,i),u(re,e,i),l(e,Ne,i),l(e,x,i),u(oe,x,null),t(x,ht),t(x,$e),t(x,ut),t(x,we),t(x,_t),t(x,xe),t(x,gt),t(x,P),u(se,P,null),t(P,kt),t(P,ye),t(P,bt),t(P,ze),t(x,vt),t(x,M),u(ie,M,null),t(M,Tt),t(M,Be),t(M,$t),u(U,M,null),t(M,wt),t(M,qe),l(e,Ve,i),u(ae,e,i),l(e,Oe,i),l(e,y,i),u(de,y,null),t(y,xt),t(y,Re),t(y,yt),t(y,Me),t(y,zt),t(y,Ce),t(y,Bt),t(y,Le),u(ce,Le,null),l(e,We,i),u(le,e,i),l(e,Ke,i),l(e,Pe,i),Xe=!0},p(e,[i]){const E={};i&2&&(E.$$scope={dirty:i,ctx:e}),$.$set(E);const w={};i&2&&(w.$$scope={dirty:i,ctx:e}),S.$set(w);const A={};i&2&&(A.$$scope={dirty:i,ctx:e}),U.$set(A)},i(e){Xe||(_(T.$$.fragment,e),_($.$$.fragment,e),_(O.$$.fragment,e),_(X.$$.fragment,e),_(Y.$$.fragment,e),_(G.$$.fragment,e),_(Q.$$.fragment,e),_(Z.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(S.$$.fragment,e),_(ne.$$.fragment,e),_(re.$$.fragment,e),_(oe.$$.fragment,e),_(se.$$.fragment,e),_(ie.$$.fragment,e),_(U.$$.fragment,e),_(ae.$$.fragment,e),_(de.$$.fragment,e),_(ce.$$.fragment,e),_(le.$$.fragment,e),Xe=!0)},o(e){g(T.$$.fragment,e),g($.$$.fragment,e),g(O.$$.fragment,e),g(X.$$.fragment,e),g(Y.$$.fragment,e),g(G.$$.fragment,e),g(Q.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(S.$$.fragment,e),g(ne.$$.fragment,e),g(re.$$.fragment,e),g(oe.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(U.$$.fragment,e),g(ae.$$.fragment,e),g(de.$$.fragment,e),g(ce.$$.fragment,e),g(le.$$.fragment,e),Xe=!1},d(e){e&&(o(z),o(v),o(m),o(s),o(je),o(Ee),o(W),o(Ae),o(K),o(Fe),o(He),o(L),o(Se),o(Je),o(b),o(Ue),o(Ne),o(x),o(Ve),o(Oe),o(y),o(We),o(Ke),o(Pe)),o(c),k(T,e),k($,e),k(O,e),k(X,e),k(Y),k(G,e),k(Q),k(Z),k(ee),k(te),k(S),k(ne),k(re,e),k(oe),k(se),k(ie),k(U),k(ae,e),k(de),k(ce),k(le,e)}}}const fn='{"title":"RetriBERT","local":"retribert","sections":[{"title":"Overview","local":"overview","sections":[],"depth":2},{"title":"RetriBertConfig","local":"transformers.RetriBertConfig","sections":[],"depth":2},{"title":"RetriBertTokenizer","local":"transformers.RetriBertTokenizer","sections":[],"depth":2},{"title":"RetriBertTokenizerFast","local":"transformers.RetriBertTokenizerFast","sections":[],"depth":2},{"title":"RetriBertModel","local":"transformers.RetriBertModel","sections":[],"depth":2}],"depth":1}';function hn(F){return nn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $n extends rn{constructor(c){super(),on(this,c,hn,pn,tn,{})}}export{$n as component};
